/**
 * 序号：1
 * 功能：定义分页(EasyUI)
 * 参数：
 * 说明：
 * 作者：高伟杰
 * 时间：2016-01-22
 * 单位：宁波金网
 * 备注：无需更改
 **/
var ls_width = $(window).width();
var ls_height = $(window).height();

var local_page=1;
var rows=20;
var listPageSize = [10,20,50,100,500,1000];
var queryData = eval("({'page':'"+local_page+"','rows':'"+rows+"'})");
var tab_n = 0;

//重置分页参数
function resetQueryData(){
	queryData = "";
	queryData = eval("({'page':'"+local_page+"','rows':'"+rows+"'})");
}

//定义附件关联模块ID(1:一般业务,2:测试信息,3:审批业务,999:其它数据 )
var ls_module_id='999';
//定义当前模块业务类型(YBYW:一般业务,SPGL:审批业务) 
var ls_ywlx = 'YBYW';
/****/

/**
 * 序号：2
 * 功能：构建下拉框内容
 * 参数：
 * 说明：方便新增、修改页面里的下拉选项加载数据
 * 作者：高伟杰
 * 时间：2016-01-22
 * 单位：宁波金网
 * 备注：需更改
 **/
//加载是否激活下拉框
//var v_yesnoquery = {};
//v_yesnoquery.FIELD_tableName = "DM_ST_YES_NO";
//var v_yesno_data = standardModel.dataAction.listAll(v_yesnoquery);
/****/

/**
 * 序号：3
 * 功能：构建主页面列表
 * 参数：
 * 说明：
 * 作者：高伟杰
 * 时间：2016-01-22
 * 单位：宁波金网
 * 备注：需更改
 **/
//定义grid列表
//定义grid列表
var ls_title="出错日志";
var is_column = [ [
				{field : 'LOGDATE',title : '时间',width : 150,align : 'center'}, 
				{field : 'LOGTHREAD',title : '线程',width : 100,align : 'center'}, 
				{field : 'LOGLEVEL',title : '等级',width : 80,align : 'center'}, 
				{field : 'LOGCATEGORY',title : '类别',width : 300,align : 'center'}, 
				{field : 'LOGLOCATION',title : '所在行',width : 200,align : 'center'}, 
				{field : 'LOGMESSAGE',title : '消息',width : 200,align : 'center'}, 
				{field : 'USERINFO',title : '用户',width : 200,align : 'center'}, 
				{field : 'CLIENTINFO',title : '客户端',width : 200,align : 'center'}, 
				{field : 'SERVERINFO',title : '服务器端',width : 200,align : 'center'}
				] ];
//列表加载完成回调
function dataOnLoadSuccess(){
}
//设置颜色和每行高度
function rowstyler(index,row){
	return 'height:30px;';
}
//展示列表
datagrid("list",ls_title,gaowj.WEB_APP_NAME + "/systemdata_listSysLog4jInfo",queryData,is_column,70,80);
/****/

/**
 * 序号：4
 * 功能：设置主页面操作列菜单
 * 参数：
 * 说明：
 * 作者：高伟杰
 * 时间：2016-01-22
 * 单位：宁波金网
 * 备注：需更改
 **/
//操用列显示更多(一般情况下无需更改)
function formatMenu(value, data,index) {
	var returnData="";
	return  returnData
	      + "<span class=\"icon-ext-moremenu\" style=\"padding-left:20px;*width:20px;\"></span>"
	      + "<span data-p1="+index+" class=\"easyui-tooltip\" style=\"color:blue;cursor:pointer;\">更多</span>";
}
//上浮横向菜单集里的具体菜单项(需更改)
function getOptionMenu(data,index){
	var returnData= "<span class=\"icon-edit\" style=\"padding-left:20px;*width:20px;vertical-align:middle;height:20px;\"></span><a href=\"javascript:void(0);\" style=\"text-decoration:none;\" onclick=\"log4jDetail('"
          + index 
          + "')\">错误详细</a>";
	return returnData;
}
//返回菜单集的菜单个数(需更改)
function getOptionMenuCount(){
	var is_menu_count = 1;
	return is_menu_count;
}
/****/

/**
 * 序号：5
 * 功能：新增修改弹出
 * 参数：
 * 说明：
 * 作者：高伟杰
 * 时间：2016-01-22
 * 单位：宁波金网
 * 备注：需更改
 **/
//代码
/****/

/**
 * 序号：6
 * 功能：单个删除
 * 参数：
 * 说明：
 * 作者：高伟杰
 * 时间：2016-01-22
 * 单位：宁波金网
 * 备注：需更改
 **/

//代码
/****/

/**
 * 序号：7
 * 功能：批量删除
 * 参数：
 * 说明：
 * 作者：高伟杰
 * 时间：2016-01-22
 * 单位：宁波金网
 * 备注：需更改
 **/

//代码
/****/

/**
 * 序号：8
 * 功能：刷新
 * 参数：
 * 说明：
 * 作者：高伟杰
 * 时间：2016-01-22
 * 单位：宁波金网
 * 备注：需更改
 **/
//function refreshRow(){
//	$('#list').datagrid('load',{});
//	$("#log4jtab_searchForm")[0].reset();
//}
/****/

/**
 * 序号：9
 * 功能：查询
 * 参数：
 * 说明：
 * 作者：高伟杰
 * 时间：2016-01-22
 * 单位：宁波金网
 * 备注：需更改
 **/
//function searchRow(){
//	var v_query = $("#log4jtab_searchForm").getFormVal();
//	$('#list').datagrid('load',v_query);
//}
/****/

/**
 * 序号：10
 * 功能：错误详细信息
 * 参数：
 * 说明：
 * 作者：高伟杰
 * 时间：2016-01-22
 * 单位：宁波金网
 * 备注：需更改
 **/
function log4jDetail(index){
    $('#list').datagrid('selectRow',index);	
	var is_row = $('#list').datagrid('getSelections');
	$('#list').datagrid('clearSelections');
	var modifyUrl = gaowj.WEB_APP_NAME+"/log4j_log4j_update?method=update&myzd_id="+is_row[0].ID;
	openViewIframRow("detail",modifyUrl,is_row[0],"错误详细信息",true,0.95,0.95,0,0);
}
/****/